# hooks

Ce dépôt contient les hooks que j'utilise.

## sanitizeFileName.bash

Ce script permet de supprimer les caractères spéciaux du nom des fichiers. Par exemple *J'fais un test, héhé.md* devient *j-fais-un-test-hehe.md*.

Le script s'utilise aussi bien en ligne de commande qu'en tant que hook.

### CLI

```bash
pulsar@zazu:~$ bash ~/git/www.ykn.fr/.tools/sanitizeFileName.bash ~/git/www.ykn.fr/content/articles/
```

### Hook

```bash
pulsar@zazu:~$ tee ~/git/www.ykn.fr/.git/hooks/pre-commit <<EOF
#!/bin/bash

# Nettoyer le nom des fichiers pour les articles
bash ~/git/git-hooks/sanitizeFileName.bash ~/git/www.ykn.fr/content/articles
EOF
```